KDE 4.2 PyKDE API Reference

- KDE's Python API

# Entity Class Reference

`from PyKDE4.nepomuk import *`

Subclasses: Nepomuk.Class, Nepomuk.Property, Nepomuk.Types.Class, Nepomuk.Types.Ontology, Nepomuk.Types.Property
Namespace: Nepomuk

## Detailed Description

Deprecated:
  in favor of Nepomuk.Types.Entity

## Methods

| __init__ (self, Nepomuk.Entity a0)
| __init__ (self)
QString | comment (self, QString language=QString())
Nepomuk.Ontology | definingOntology (self)
QString | label (self, QString language=QString())
QString | name (self)
QUrl | uri (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Entity | a0
| ) |  |  |

__init__ | ( |  | self ) |

QString comment | ( | self, |
|  | QString | language=QString()
| ) |  |  |

Nepomuk.Ontology definingOntology | ( |  | self ) |

The ontology in which the resource is defined.

QString label | ( | self, |
|  | QString | language=QString()
| ) |  |  |

QString name | ( |  | self ) |

The name of the resource. The name equals the fragment of the URI.

QUrl uri | ( |  | self ) |

The URI of the resource